Get float-range market data
Returns price floors, quantities, fade-range price floors, and liquidity by float range.
/api/market/float/itemsReturns price floors, quantities, fade-range price floors, and liquidity by float range.
- Access: Developer or Enterprise API
- Coverage: All items; up to 200 distinct
goods_idvalues per day - Updated: Liquidity daily; other fields every 10 minutes
- Limit: 500 requests per 24 hours
Provide at least one of market_hash_names or goods_ids. Liquidity is a weighted combination of trade-amount and trade-quantity rankings; BUFF generally considers 85% or higher to be high liquidity.
Authorization
bearer BUFF developer API token. Send it as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/market/float/items" \ -H "Content-Type: application/json" \ -d '{ "game": "cs2" }'{ "info": [ { "goods_id": 10001, "market_hash_name": "★ Karambit | Gamma Doppler (Minimal Wear)", "name": "爪子刀(★) | 伽玛多普勒 (略有磨损)", "sales": [ { "min_price": "12449", "pre_sell_min_price": "12500", "pre_sell_num": 1, "sell_num": 29 }, { "min_float": "0.07", "max_float": "0.08", "min_price": "12449", "pre_sell_min_price": "12500", "pre_sell_num": 1, "sell_num": 29 }, { "liquidity_rank": "90.35%", "min_price": "16250", "pre_sell_min_price": "0", "pre_sell_num": 0, "sell_num": 9, "tag_id": 522195, "tag_name": "Phase2" }, { "liquidity_rank": "90.35%", "min_float": "0.07", "max_float": "0.08", "min_price": "16250", "pre_sell_min_price": "0", "pre_sell_num": 0, "sell_num": 9, "tag_id": 522195, "tag_name": "Phase2" } ], "update_time": 1785812786 } ], "req_remaining": 500, "stat_time": 1785812400}